%define name		jsf
%define version		1.1.01
%define cvs_version	1_1_01
%define release		1jpp
%define section		non-free

Summary:	Java Server Faces
Url:		http://java.sun.com/j2ee/javaserverfaces/
Source0:	jsf-1_1_01.zip
NoSource:	0
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Sun Binary Code License
Group:		Internet/WWW/Dynamic Content
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
Requires:	jpackage-utils >= 0:1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JavaServerTM Faces technology simplifies building user 
interfaces for JavaServer applications. With the 
well-defined programming model that JavaServer Faces 
provides, developers of varying skill levels can quickly 
and easily build web applications by: assembling reusable 
UI components in a page, connecting these components to 
an application data source, and wiring client-generated 
events to server-side event handlers. With the power of 
JavaServer Faces technology, these web applications 
handle all of the complexity of managing the user interface 
on the server, allowing the application developer to focus 
on application code. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation

%description demo
%{summary}.

%prep
%setup -q -n %{name}-%{cvs_version}

# fix files perms
chmod -R go=u-w *

%build
# Nope

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 lib/%{name}-api.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}-api-%{version}.jar
install -p -m 0644 lib/%{name}-impl.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}-impl-%{version}.jar
ln -s %{name}-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-api.jar
ln -s %{name}-impl-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-impl.jar

# tlds, dtds, metadata
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -p -m 0644 lib/html_basic.tld \
	$RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/html_basic.tld
install -p -m 0644 lib/%{name}_core.tld \
	$RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/%{name}_core.tld
install -p -m 0644 lib/web-facesconfig_1_0.dtd \
	$RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/web-facesconfig_1_0.dtd
install -p -m 0644 lib/web-facesconfig_1_1.dtd \
	$RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/web-facesconfig_1_1.dtd
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/metadata
cp -pr metadata/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/metadata

# docs
install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/docs
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/docs
install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/renderkitdocs
cp -pr renderkitdocs/* \
	$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/renderkitdocs
install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/tlddocs
cp -pr tlddocs/* \
	$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/tlddocs
cp -p LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# samples
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples
cp -pr samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}*.jar
%dir %{_datadir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}/*.tld
%{_datadir}/%{name}-%{version}/*.dtd
%{_datadir}/%{name}-%{version}/metadata
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}

%files demo
%defattr(-,root,root,-)
%{_datadir}/%{name}-%{version}/samples

%changelog

* Tue Oct 05 2004 Ralph Apel <r.apel at r-apel.de> 1.1.01-1jpp
- Initial release
